package modeles;

public class Bourse extends Objet {
	private int valeur;
	
	public Bourse(int somme) {
		super("bourse",somme,99999999);
		
	}
	
	public int getValeur() {
		return this.valeur;
	}
	
	public String getType() {
		return "Bourse";
	}
	
	public int Achat(int cout) { //commande pour vérifier si la personne peut acheter un objet et pour faire le décompte de la thunasse 
		if (cout <= this.valeur) return (this.valeur=this.valeur-cout);
		else {
			int manque = cout-this.valeur;
			System.out.println("L'achat est impossible, il vous manque : "+manque);
			return manque;
		}
	}
	
	public int fusionBourse(Bourse sacPiece) {
		this.valeur += sacPiece.valeur;
		return this.valeur;
	}
	
}
